#
# spec file for package python3-uritemplate
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-uritemplate
Version:        3.0.0
Release:        1.1
Summary:        URI Templates
License:        Apache-2.0 or BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://github.com/uri-templates/uritemplate-py/
Source:         https://files.pythonhosted.org/packages/source/u/uritemplate/uritemplate-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-simplejson
BuildArch:      noarch

%description
This is a Python implementation of RFC6570 (URI Templates). It can
expand templates up to and including Level 4 as per that
specification.

%prep
%setup -q -n uritemplate-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE*
%{python3_sitelib}/*

%changelog
* Sun Feb  5 2017 jengelh@inai.de
- Update description
* Tue Sep 20 2016 arun@gmx.de
- specfile:
  * update copyright year
  * no more shebang in first line of __init__.py, remove sed command
- update to version 3.0.0:
  * Merge uritemplate.py into uritemplate
- changes from version 2.0.0:
  * Relicense uritemplate.py as Apache 2 and BSD (See
    https://github.com/sigmavirus24/uritemplate/pull/23)
- changes from version 1.0.1:
  * Fix some minor packaging problems.
- changes from version 1.0.0 :
  * Fix handling of Unicode values on Python 2.6 and 2.7 for
    urllib.quote.
  * Confirm public stable API via version number.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat May  2 2015 toms@opensuse.org
- Updated to version 0.6
  (no changelog provided by upstream)
- SPEC:
  - Applied spec-cleaner
  - Requires python3-simplejson and buildrequires python3-setuptools
* Wed Feb 25 2015 toms@opensuse.org
- Initial Python3 version 0.3.0
